#!/bin/sh

r3_logger() {
  logger -t remoteit "$@"
}

r3_get_architecture() {
  uname -m
}

r3_get_name() {
  uname -n
}

r3_get_macaddr() {
  ip link show up | grep ether | head -n 1 |cut -d" " -f 6
}

r3_get_model() {
  #cat /sys/firmware/devicetree/base/model
  uname -n | cut -d"-" -f 1
}

r3_get_serial() {
  uname -n | cut -d"-" -f 2
}

r3_get_identity() {
  r3_get_macaddr
}

r3_get_manufacturer() {
  echo 34304
}

r3_get_platform() {
  echo 1209
}

r3_get_metadata() {
  jq -n \
    --arg version "$VERSION" \
    --arg installDir "$REMOTEIT_DIR" \
    --arg macAddress "$(r3_get_macaddr)" \
    --arg model "$(r3_get_model)" \
    --arg serialNum "$(r3_get_serial)" \
    '{$version, $installDir, $macAddress, $model, $serialNum}'
}
